import { AfterContentInit, OnDestroy, QueryList } from '@angular/core';
import { TabService } from '../tab/tab.service';
import { TabButtonComponent } from '../tab-button/tab-button.component';
export declare class TabBarComponent implements OnDestroy, AfterContentInit {
    private tabService;
    tabBarItems: QueryList<TabButtonComponent>;
    set tabIndex(v: number);
    get tabIndex(): number;
    private _tabIndex;
    private subs;
    private itemSubs;
    constructor(tabService: TabService);
    listen(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
}
